<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $directorio_actual = isset($_POST['carpeta']) ? $_POST['carpeta'] : './archivos/';
    $nombre_carpeta = $_POST['nombre_carpeta'];
    $ruta_nueva_carpeta = $directorio_actual . $nombre_carpeta;

    if (!file_exists($ruta_nueva_carpeta)) {
        mkdir($ruta_nueva_carpeta);
    }
    header('Location: index.php?carpeta=' . urlencode($directorio_actual));
} else {
    header('Location: index.php');
}
?>
